ATELIER DE QR CODES STATIQUES
À propos de QR Meadow
QR Meadow est un générateur de QR code gratuit qui fonctionne entièrement dans votre navigateur. Il crée des codes statiques qui fonctionnent tant qu’ils restent lisibles, et il vérifie chaque design avant que vous le téléchargiez.
Ce que fait QR Meadow
QR Meadow transforme douze types de contenu en QR codes : adresses web, identifiants de réseau Wi-Fi, cartes de contact (vCard), e-mails pré-remplis, texte brut, numéros de téléphone, SMS, discussions WhatsApp, lieux sur une carte, événements d’agenda, paiements Pix et virements SEPA (EPC / GiroCode). Chaque type a son propre formulaire, avec des vérifications contre les erreurs courantes, comme un mot de passe Wi-Fi trop court ou une adresse e-mail mal saisie. Vous pouvez partir d’un style prédéfini ou modifier les couleurs, dégradés, formes de modules et styles de coins, ajouter un logo, un cadre et une courte étiquette, et télécharger le résultat en image PNG, en SVG vectoriel ou en PDF vectoriel. Le générateur en masse crée jusqu’à 500 codes depuis une liste ou un CSV, dans un ZIP ou sur des planches d’étiquettes imprimables, et le lecteur lit un code dans une image.
Comment ça marche
Quand vous ouvrez le générateur, votre navigateur télécharge la page et quelques petits fichiers de script depuis ce site. À partir de là, tout se passe sur votre appareil. Le contenu que vous saisissez est transformé en QR code par un encodeur JavaScript, dessiné sous forme de formes vectorielles et affiché dans l’aperçu. Chaque modification déclenche un test de lecture : le design final est à nouveau décodé avec le lecteur open source jsQR à trois tailles différentes, et vous ne voyez une coche verte que si le résultat correspond exactement à votre saisie. Les téléchargements sont produits de la même manière, sans aller-retour avec un serveur.
C’est aussi grâce à cette conception que le site peut rester confidentiel. Il n’y a ni comptes ni scripts publicitaires. Cloudflare ajoute une mesure des performances des pages sur le domaine hébergé ; l’application n’envoie pas le contenu de vos QR codes à cette balise. Votre mot de passe Wi-Fi, vos coordonnées et votre logo ne quittent jamais l’onglet du navigateur. Consultez la page de confidentialité pour les détails.
Uniquement des codes statiques
Tous les codes créés par QR Meadow sont statiques : le contenu est inscrit dans le code lui-même. Un code statique ne peut pas être modifié après l’impression ni compter les scans, mais il ne peut pas non plus être désactivé. Il ne dépend ni du maintien en ligne de ce site, ni d’un abonnement, ni du serveur de redirection de qui que ce soit.
Les codes dynamiques fonctionnent autrement. Ils contiennent un lien court vers le serveur du prestataire, qui redirige le visiteur vers la vraie destination. Cela permet de les modifier et d’obtenir des statistiques de scan, et pour certaines campagnes c’est le bon choix. La contrepartie, c’est que le code dépend du prestataire. Le centre d’aide d’un grand prestataire indique par exemple que les codes dynamiques créés pendant son essai gratuit sont désactivés à la fin de l’essai, tandis que les codes statiques continuent de fonctionner. QR Meadow écarte entièrement ce compromis.
Ce que QR Meadow ne fait pas
- Pas de codes dynamiques ou modifiables, ni de statistiques de scan.
- Pas d’hébergement de fichiers, d’images, de vidéos ou de formulaires — il faudrait un serveur pour stocker votre contenu.
- Pas de scan par la caméra : le lecteur lit les images que vous ajoutez, et le site ne demande pas l’accès à la caméra.
Normes et composants open source
- L’encodage QR utilise la bibliothèque QR Code generator de Kazuhiko Arase (licence MIT).
- Le test de lecture utilise jsQR (Apache License 2.0).
- Les codes Wi-Fi suivent le format
WIFI:, largement pris en charge et documenté par le projet ZXing, y compris ses règles d’échappement. - Les cartes de contact suivent vCard 3.0 (RFC 2426), et les codes e-mail utilisent des liens
mailto:tels que définis dans la RFC 6068. - Les codes téléphone, SMS,
geo:et agenda utilisent les formestel:,SMSTO:,geo:etVEVENTrépertoriées par ZXing ; le texte des événements est échappé comme dans iCalendar (RFC 5545). - Les codes WhatsApp utilisent les liens « click to chat »
wa.medocumentés par WhatsApp, et les liens de carte suivent les formats documentés par Google Maps et Apple Maps.
Les licences des deux bibliothèques sont fournies avec les fichiers du site. Les tests couvrent chaque type de contenu à chaque niveau de correction d’erreur et pour chaque forme de module, en décodant chaque code généré pour retrouver son contenu d’origine.
Vos retours
QR Meadow est un petit projet indépendant, toujours en cours d’amélioration. Si un code créé ici ne se scanne pas sur votre téléphone, les informations les plus utiles sont le type de contenu, les réglages de style choisis, ainsi que le téléphone et l’application utilisés pour le scan.
Questions fréquentes
QR Meadow est-il gratuit ?
Oui. Pas d’inscription, pas d’offre payante, et aucune limite au nombre de codes que vous créez ni au nombre de fois où ils sont scannés.
Ai-je besoin d’un compte ?
Non. Il n’y a pas de comptes. Rien de ce que vous créez n’est stocké sur un serveur : il n’y a donc rien à quoi se connecter.
Mes codes cesseront-ils de fonctionner si ce site disparaît ?
Non. Le contenu est dans le code lui-même. Un code que vous avez téléchargé continue de fonctionner sans ce site.
Puis-je utiliser les codes à des fins commerciales ?
Oui. Les codes que vous créez vous appartiennent : vous pouvez les utiliser sur des produits, des emballages, des panneaux et des supports marketing.
Pourquoi n’y a-t-il pas de suivi des scans ?
Compter les scans exige une redirection par un serveur, ce qui rendrait vos codes dépendants de ce serveur. QR Meadow ne crée que des codes statiques.